==============
Version 1.2.6
==============
Stable release of ConsoleKit2

Changes since 1.2.4
New Features:
- Use 0 as a starting point for the seat serial and lowercase
  the seat name as well to imitate systemd/logind
- Enable VT support for __aarch64__

Bug Fixes:
- Do not call g_close() on invalid file descriptors
- Properly handle PROP_KIND in ck_seat_get_property()

Misc Changes:
- Simplify ck_system_can_suspend on OpenBSD

==============
Version 1.2.5
==============
Stable release of ConsoleKit2

Changes since 1.2.4
New Features:
- Use sd_* shim functions on !systemd platforms

Bug Fixes:
- Fix gtk-doc test failure

Misc Changes:
- Sleep before suspending or hibernating to give time for
  the screen to lock
- Remove pm-utils dependency

==============
Version 1.2.4
==============
Stable release of ConsoleKit2

Changes since 1.2.3
New Features:
- Implement session-service parameter

Bug Fixes:
- Do not hardcode seat0 for Seat1 in ListSessions

==============
Version 1.2.3
==============
Stable release of ConsoleKit2

Changes since 1.2.2
Bug Fixes:
- Fix a crash with glib debugging enable by not unreferencing
  an instance object which was not referenced before while
  removing the lock on it.

Translation Updates: French

==============
Version 1.2.2
==============
Stable release of ConsoleKit2

Changes since 1.2.1
Bug Fixes:
- Use the named pipe's random filepath as a lock reference
- Fix signal handling with multiple inhibit events

Misc Changes:
- Merge enhancements from the OpenBSD port
- Remove unused argument from the get_named_pipe_path() function

==============
Version 1.2.1
==============
Stable release of ConsoleKit2

Changes since 1.2.0
New Features:
- Add ListSeats method to Manager interface
- Add CanControlSession dbus call

Bug Fixes:
- Correctly report SELinux support
- Only use tmpfs mounts on DFly if supported
- incompatible-pointer-type warning
- Remove some redundant code probing for hibernation, suspend, and sleep
- make_tmpfs for DragonFly
- memory leak in ck-manager
- Seat property on Session interface 

Misc Changes:
- Add DragonFlyBSD as a platform 
- Remove DragonFly specific code from FreeBSD sysdeps
- Switch away from AC_DISABLE_STATIC 

==============
Version 1.2.0
==============
Stable release of ConsoleKit2

Changes since 1.1.2
New Features:
- Add wscons headers for OpenBSD

Bug Fixes:
- Allow changing to VTs we don't have a session for
- Correct introspection prefixes
- Change configure.ac to enable the udev backend with devattr
- Use KDSKBMODE if defined
- Use #ifdef HEADER_H instead of #ifdef OS
- FreeBSD session activation
- Place sessions with a VT on the static Seat1
- clean up clang warnings
- correct uninitialized variable warning
- Explicitly check for needed symbols
- Correct build errors in OpenBSD
- fix compiling on FreeBSD

Misc Changes:
- update gitignore
- more autotools cleanup work
- update readme with new deps

==============
Version 1.1.2
==============
[Please note that this is a development release.]

New Features:
- add a session-state property and method
- Add session-class dbus property and get method
- introduce libconsolekit
- Add dbus method GetVTNr to Session
- add dbus LockSession/UnlockSession
- add dbus ActivateSession/ActivateSessionOnSeat

Bug Fixes:
- add session class + state to ck-list-sessions
- Allow session-class property to be set via OpenSessionWithParameters
- wrong lib linked in libconsolekit.pc.in
- remove the rest of the gcc warnings
- remove warnings about signed/unsigned comparisons
- remove warning about redeclaration
- remove warnings about redundant function declarations
- fix --enable-libudev configure flag
- coverity: 180820 remove dead code

Misc Changes:
- add CONSOLEKIT_DEBUGGING support back in
- update ck-list-sessions man page
- update tests for new methods added
- simplify configure.ac
- document session types allowed
-

==============
Version 1.1.1
==============
[Please note that this is a development release.]

Changes:
- Don't try to run "chmod +x" on 90-consolekit, it is not a executable.
- Use INSTALL_SCRIPT instead of INSTALL_PROGRAM for 90-consolekit.
- Remove the root restriction for XDG_RUNTIME_DIR.
- cgroups: Attempt to use 'cpuaccount' if 'all' cgroup fails on pid move
- ck-remove-directory: return exit code 0 on success
- ck-remove-directory: remove unused dest parameter on become_user
- ck-remove-directory: remove dest dir as real user
- Add support for selinux
- Freebsd 10.3: Fix session activation
- Fix a reversed condition for invalid device on NetBSD
- cgroups: Use UID of logged in user instead UID of session leader process
- Fix memory leaks and a memory corruption issue.
- OpenBSD: adapt to recent kvm(3) restrictions
- Fix pam-ck-connector on musl
- Fix for OpenBSD and FreeBSD VT device naming scheme.
- Add a few more display manager users to filter out.
- Update udev rules.
- Handle XDG_RUNTIME_DIR not being created/set.
- Add support for server managed FDs.
- Prevent a use-after-free when emitting signal changes.
- Fix coverity and gcc warnings.
- Add a LockedHint property.


==============
Version 1.1.0
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.2 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

Changes:
- Add a 'User' section to the CK database
- Add a 'Seats' section to the CK database
- Properly filter the sessions for the specified user
- pam-ck allow VTNR to be double-digit
- login_session_id will be G_MAXUINT32 when unset
- Handle the legacy 'user' property as an override setting
- Change owner of newly created cgroup to owner of progress group leader
- Create cgroup on all controllers managed by cgmanager 
- Implement XDG_RUNTIME_DIR 
- When assigning session to active VT prefer graphical sessions 
- Fix undefined behavior in ck-log-system-start

Translation Updates: Bulgarian, Spanish, Spanish (Latin America),
                     Dutch, Russian

==============
Version 1.0.1
==============

Stable release of ConsoleKit2. Thank you to everyone who submitted
pull requests.

Changes since 1.0.0:
- Check for enough swap space before allowing hibernate operation
- XDG_VTNR support
- Add NetBSD support
- Fix a potential crash condition after successfully suspending.
- Fix some libdir/scripts stuff
- Filter out the kdm user

==============
Version 1.0.0
==============

Stable release of ConsoleKit2

This is the first release of ConsoleKit2 considered stable. It
incorporates many changes since the fork from ConsoleKit. Please
see the previous development release notes for the full list of
changes.


Notable changes since 0.9.5:
- On Linux, if cgmanager is installed and running, ConsoleKit2
  will use it to track the sessions. The method of session tracking
  supersedes the XDG_SESSION_COOKIE
- Respect multilib/multiarch filesystem layouts.
  Patch by Kylie McClain
- Filter out the sddm user the same as the gdm user
- Update the gettext portion of the build system
- Prevent an infinite loop when removing inhibitors
- Add Bulgarian language translations

==============
Version 0.9.5
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

- Add new DBUS method: ListInhibitors
- Mark sessions as local explicitly when not built with PAM support
- Watch and handle dbus NameOwnerChanged events
- Add an --enable-tests configure option 

==============
Version 0.9.4
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

- Cksession return empty string when login session id not set
- Test code now cleans up any created sessions
- Fix issue #26, where polkit and networkmanager weren't working
  because the CKDB wasn't getting the correct uid set.

Translation Updates: Russian, Spanish, Spanish (Latin America)

==============
Version 0.9.3
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

Changes to the public DBUS API:
    - Adds the "mode" parameter to the inhibit call
    - Additional error messages are now returned i.e.
      CkSeat's ActivateSession can return CK_SEAT_ERROR_ALREADY_ACTIVE
    - PrepareForSleep PrepareForShutdown signals added

- Coverity scan and cppcheck static analysis fixes
- Don't delete the inhibit named pipe files on startup
- Add "mode" to the inhibit dbus call to better match logind
- Remove the pam-foreground-compat script, it was causing race conditions
- Port ConsoleKit2 to GDBus, these changes required a glib min version
  bump to 2.40
- A TRACE macro was added for additional debugging when built with
--enable-debug=full
- Add transifex client configuration
- Fix build without PolicyKit/Polkit (Ivailo Monev)
- Include gio header required for GAsyncResult (Ivailo Monev)
- OpenBSD: unbreak get_kinfo_proc by properly initializing the
  length (Antoine Jacoutot)
- Check for Linux-PAM features rather than just Linux, for
  OpenPAM support. (Andrew Aldridge)
- Fix a warning message about the Source ID not being found during
  remote ck session log out.
- Add -with-rundir configure flag (Robby Workman)
- Revert the "Fix crash on logout/login via SunRay" as it caused
  regressions
- OpenBSD cleanups and sync (Antoine Jacoutot)
- PrepareForSleep/Shutdown signals are now emitted
- Ensure the 90-consolekit file is correctly installed
- SystemdService file is now conditionally installed
- Fix installing the logrotate file

Translation Updates: Russian, Spanish, Spanish (Latin America)

==============
Version 0.9.2
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues


Changes to the public DBUS API:
    - Adds the PowerOff/Reboot and respective Can APIs.
    - Adds the PolkicyKit interactivity flag to the
      API calls. Same as logind.

Other minor changes:
- Default to not building systemd units
- Add a note about CONFIG_AUDITSYSCALL and PAM
- Minor autotools changes.
- Change inhibit locks internally to allow multiple instances
  of the same application to hold a lock.

==============
Version 0.9.1
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

Only one commit with this release but since it changes the
public DBUS API it's better to get it out now before someone
starts writing for the 0.9.0 APIs.

Hybrid Suspend has been added as a sleep method. The sleep
API has been reworked to emulate logind so that supporting
both is easier.

==============
Version 0.9.0
==============
[Please note that this is a development release.]

Development release of ConsoleKit2 targeting the 1.0 release.
Please report all problems to
https://github.com/ConsoleKit2/ConsoleKit2/issues

ConsoleKit2 is a fork of ConsoleKit since it is no longer maintained.

Added OpenBSD and DragonFlyBSD backends, pulled in FreeBSD and
GNU/kFreeBSD provided to the ConsoleKit bugtracker or on distro's
public repositories. As well as many other patches floating around
so that distributions no longer have to carry large patchsets.
Please report any other patches required or currently in use and
those can be added as well.

The 63 threads issue has been resolved if the Linux kernel has
support for the notification required.

ConsoleKit2 supports suspending and hibernation for Linux, FreeBSD,
DragonFlyBSD, and OpenBSD through a DBUS API.


 * Add in the logrotate and consolekit xinitrc script and install
   them to their standard location with configure switches.
 * Add a new DBUS interfaces for suspend/hibernation of the system
   as well as the ability to inhibit it and stop/reeboot actions.
 * Translation support added.
 * Check the return value of sysconf before passing it to calloc.
 * Only close fds that were opened.
 * Fix a resource leak.
 * ck-log-system-start: always create log directory. Patch by
   Daniel Drake.
 * Prevent possible use-after-free condition. Patch by
   Anders Kaseorg.
 * Fix crash on logout/login via SunRay. Patch by Halton Huo.
 * Fix ck-history truncating login names.
 * Call thread_data_free before g_thread_exit.
 * Add man pages. Patch by Brian Cameron.
 * Fix for rejected GetAll properties by GDBus. Patch by
   Teodor MICU.
 * Linux: Use /sys/class/tty/tty0/active for VT change
   notifications (the 63 threads issue)
 * Set source id to 0 after calling g_source_remove.
   Patch by Manfred Hampl.
 * Return early when remote DISPLAY variable set.
   Patch by Joe Mullally.
 * Various deprecated functions and other compile warnings
   were fixed.
 * Add an --enable-debug=full which always enables debugging.
 * Add OpenBSD backend. Patches by Robert Nagy and ajacoutot.
 * Improve FreeBSD backend.
 * Add DragonFlyBSD backend.
 * Be able to shutdown or reboot even without polkit or RBAC
   support. Patch by Romain Perier.
 * udev-acl install to usr.
 * Add support for devices with long names.
   Patch by Aleix Conchillo Flaqué.
 * Cleanup console tag files on application startup and shutdown.
 * Fix uninitialized variable.
 * Use correct type in tools/ck-history.c Patch by Rafal Muzylo.
 * Add a configure switch for PolicyKit. Patch by Samuli Suominen.
 * Enables the FreeBSD VT ioctls on GNU/kFreeBSD.
   Patch by Robert Millan.
 * Fallback to getpeereid() on FreeBSD and GNU/kFreeBSD.
   Patch by Robert Millan.

==============
Version 0.4.6
==============

 NOTE: ConsoleKit is no longer actively maintained and this will most
 likely be the final release. You are advised to switch to logind:
 http://www.freedesktop.org/software/systemd/man/systemd-logind.service.html

 * Don't truncate --frequent output to 8 chars in ck-history (Ray Strode)
 * Import udev-acl tool from udev (Michael Biebl)
 * Add support for GNU/Hurd (Pino Toscano)
 * Build system fixes (Samuli Suominen)

==============
Version 0.4.5
==============

 * Loop around opening /dev/console to deal with BKL-less kernels (Colin Watson)
 * systemd fixes (Lennart Poettering)

==============
Version 0.4.4
==============

 * systemd fixes (Lennart Poettering)

==============
Version 0.4.3
==============

 * Revert VT_WAITEVENT usage, since it is racy (Lennart Poettering)
 * systemd fixes (Lennart Poettering)

==============
Version 0.4.2
==============

 * Ensure we only care for seat files ending in .seat (William Jon McCann)
 * Various Solaris improvements (Halton Huo)
 * Make build silent (Ray Strode)
 * Don't take bus name until ready (Ray Strode)
 * systemd hookup (Lennart Poettering)
 * add --since option to ck-history (William Jon McCann)
 * Reduce number of threads on Linux (Kan-Ru Chen)
 * Other fixes (Anders Kaseor, Frederic Crozat, Matthias Clasen, Michael Biebl, William Jon McCann)

==============
Version 0.4.1
==============

 * Fix a crasher (William Jon McCann)
 * fix a small memory leak (Matthias Clasen)
 * update email address (William Jon McCann)

==============
Version 0.4.0
==============

 * Starting with this release we will not do session.d/ 'session_active_changed' callouts anymore. (Lennart Poettering)
 * get rid of session.d's session_active_changed callout (Lennart Poettering)
 * close file descriptors before exit func (Halton Huo)
 * log the kernel release and boot arguments at start time (William Jon McCann)
 * show display in host field if the host isn't set (William Jon McCann)
 * print the uptime for the reboot items in the report (William Jon McCann)
 * fix logic for finding session remove events (William Jon McCann)
 * fix a few small leaks (William Jon McCann)
 * Add seat.d/ callout directory and guarantee we dump the database before call
 * database: write the console database to disk before signalling via dbus (Len
 * Enforce that the env array has the right size (Lennart Poettering)
 * when printing size_t use %z format string (Lennart Poettering)
 * make CK database world readable (Lennart Poettering)
 * get rid of ck_seat_set_active_session() prototype since no such function exi
 * Move ck_session_run_programs() from ck-run-programs.h to ck-session.h (Lenna
 * post release version bump (Ray Strode)

==============
Version 0.3.1
==============

 * port to PolicyKit 1.0 (Matthias Clasen)
 * D-Bus policy updates (Colin Walters, Martin Pitt, Vincent Untz, William Jon McCann)
 * better diagnostic information for unimplemented backends (Daniel Macks)
 * file monitoring fixes (James Westby)
 * get VT from X display if no controlling tty is available (Ray Strode)
 * add "nox11" option to PAM module (Martin Pitt)
 * parse log entries with no body correctly (William Jon McCann)
 * fix zero-sized struct/unions (William Jon McCann)
 * solaris build fixes (Halton Huo)
 * parse gecos field for real name (William Jon McCann)
 * leak fixes (James Westby, Steve Langasek)
 * compile warning fixes (Matthias Clasen)
 * fix doc xml validation errors (William Jon McCann)
 * fix doc generation when srcdir != builddir (Ray Strode)
 * add example upstart events for logging (William Jon McCann, Ray Strode)
 * fix ChangeLog generation script to work with git-log moved to libexecdir (Ray Strode)

==============
Version 0.3.0
==============

 * API changes to make the daemon conform to the published spec

 * don't allow reboot if PolicyKit and RBAC are disabled (William Jon McCann)
 * fix path in includes (William Jon McCann)
 * reorganize the docs a bit (William Jon McCann)
 * pull updated DTD and xsl from DeviceKit-disks (William Jon McCann)
 * fix distcheck (William Jon McCann)
 * still having problems using xinclude (William Jon McCann)
 * fix the includes (William Jon McCann)
 * add missing bits (William Jon McCann)
 * use spec files directly as introspection xml and try to generate docs on the fly (William Jon McCann)
 * use object paths for seat added/removed signals per spec (William Jon McCann)
 * regenerate the docs and xml from the spec (William Jon McCann)
 * add GetLoginSessionId to exported interface (William Jon McCann)
 * fix use of unix-user as int (William Jon McCann)
 * use fortify source flag when building from git (William Jon McCann)
 * fix location of scripts again (William Jon McCann)
 * dist bzip by default (William Jon McCann)
 * fix up signal definition (William Jon McCann)
 * fix UnixUser to be uint (William Jon McCann)
 * use object paths instead of strings for signals (William Jon McCann)
 * cleanly shutdown event logging thread (William Jon McCann)
 * export login session id to the bus (William Jon McCann)
 * exit with the bus now that we're activated by the bus (William Jon McCann)
 * allow retaining authorizations for {stop,restart}-multiple-users (David Zeuthen)
 * make sure to add all override parameters (William Jon McCann)
 * fix the script to work with recent dbus-python api changes (William Jon McCann)
 * always try to detect parameters for session (William Jon McCann)
 * oops one more place (William Jon McCann)
 * install scripts into $(prefix)/lib instead of $libdir (William Jon McCann)
 * return PolicyKit results when not privileged for action (William Jon McCann)
 * fix typo (William Jon McCann)
 * initial login session id support (William Jon McCann)
 * display uid as unix-user to match api (William Jon McCann)
 * fix packaging of policy file (William Jon McCann)
 * rename policy file (William Jon McCann)
 * post release version bump (William Jon McCann)

==============
Version 0.2.10
==============

 * always create the directories we need (William Jon McCann)
 * properly get display device on Solaris (Simon Zheng)
 * fix solaris x11-display-device when no vt available (Brian Cameron)
 * solaris doesn't like printing null (Brian Cameron)
 * fix display of active vt when vt is disabled (Brian Cameron)
 * fix solaris vt handling to work when no vt available (Brian Cameron)
 * improve supporting Solaris VT switching (Simon Zheng)
 * don't include paths.h on systems that don't have it (William Jon McCann)
 * create the log file with S_IROTH and don't touch the log on build (William Jo

=============
Version 0.2.9
=============

 * ck_seat_get_active_session shouldn't return a null ssid (William Jon McCann)
 * guard against writing null string to keyfile (William Jon McCann)
 * reverse the sense of the dbus policy (William Jon McCann)
 * add a ck-launch-session tool (William Jon McCann)
 * don't set the session-type to the command name (William Jon McCann)

=============
Version 0.2.8
=============

 * add tools to log restart and stop events (William Jon McCann)
 * fix typo in dbus policy file (William Jon McCann)
 * touch the history file to create it for people not using packages (William Jon McCann)
 * mkdir /var/log/ConsoleKit at install time (William Jon McCann)
 * set a global flag so that D-Bus does not change the SIGPIPE handler in the PAM module (William Jon McCann)
 * when a parsing error occurs don't return an empty event (William Jon McCann)

=============
Version 0.2.7
=============

 * update gitignore files (William Jon McCann)
 * add a helper to write a system start record to the CK history (William Jon McCann)
 * add support for logging start/stop/restart (William Jon McCann)
 * fix typo in man page (William Jon McCann)
 * make autogen work with aclocal 1.10 (Marc-Andre Lureau)
 * allow session type filtering for all report formats (William Jon McCann)
 * make polkit optional and use RBAC on Solaris (Brian Cameron)
 * fixes for solaris (Brian Cameron)
 * add session-type filtering to ck-history (William Jon McCann)
 * try to activate x11-display-device not only display-device (William Jon McCann)

=============
Version 0.2.6
=============

        * be a little smarter about how we compute the number of users (William Jon McCann)
        * fix policy action name (William Jon McCann)

=============
Version 0.2.5
=============

        * use /var/log/ instead of /var/run for log file

=============
Version 0.2.4
=============

        * actually register the error type with dbus (William Jon McCann)
        * add GetSessions method to Manager interface (William Jon McCann)
        * add error type to manager (William Jon McCann)
        * initial stop/restart support (William Jon McCann)
        * use VT_GETSTATE and tty0 to identify a console_ioctl on linux (Peter Jones)
        * remove obsolete sysv init script (Michael Biebl)
        * start CK service on-demand using D-Bus system activation (Michael Biebl)
        * dump session leader info (William Jon McCann)
        * error out if unknown options are passed on command line (William Jon McCann)
        * move session leader stuff into a separate class (William Jon McCann)
        * try to handle log rotation (William Jon McCann)
        * add support for reporting from logrotated files (William Jon McCann)
        * add a basic --frequent report (William Jon McCann)
        * Merge branch 'master' of git+ssh://git.freedesktop.org/git/ConsoleKit (William Jon McCann)
        * add last mode, filtering by user/seat; shorten logged ids (William Jon McCann)
        * add bugzilla url (William Jon McCann)
        * check for oldest being null (William Jon McCann)
        * rename --last to --last-compat (William Jon McCann)
        * a few fixes for last patch (William Jon McCann)
        * add a last compatible outout format to ck-history (William Jon McCann)
        * use AC_GNU_SOURCE instead of #define (William Jon McCann)
        * add a basic ck-history command (William Jon McCann)
        * add event logging capability (William Jon McCann)
        * remove emacs modeline (William Jon McCann)
        * maintain a file with the dump of the local database (David Zeuthen)
        * remove session/seat from list before signaling (William Jon McCann)
        * add a way to synchronously run programs on session add/remove/activity_change (David Zeuthen)
        * don't use VT_GETSTATE when VT is unavailable (Brian Cameron)
        * try to make things work for systems that don't support VT_ACTIVATE etc (William Jon McCann)
        * add wiki to readme (William Jon McCann)
        * post release version bump (William Jon McCann)

=============
Version 0.2.3
=============

        * Use unix-user instead of user so that PAM module works

=============
Version 0.2.2
=============

        Major changes in this release:

        * FreeBSD support (Joe Marcus Clarke & Florent Thoumie)
        * Solaris support (Brian Cameron & William Jon McCann)
        * More abstraction of system dependent stuff (William Jon McCann)
        * Experimental support for seat & device configuration (William Jon McCann)
        * Add new helper for getting tty from DISPLAY (William Jon McCann)
        * a few fixes for getfd suggested by Lennart (William Jon McCann)

=============
Version 0.2.1
=============

        * disable static libs
        * use inotify to detect activity on tty when possible
        * add support for CKCON_X11_DISPLAY_DEVICE environment variable
        * daemonize earlier
        * daemonize quietly (David Zeuthen)
        * add syslog support
        * properly detect unix-user for OpenSession
        * use xlib directly for tools
        * add CanActivateSessions to Seat interface
        * install fixes (Doug Goldstein)

=============
Version 0.2.0
=============

        * add PAM module and connector library (David)
        * restrict the use of D-Bus property get/set by default
        * add x11-display-device property
        * add unix-user property and deprecate user property
        * rename host-name property to remote-host-name
        * make OpenSession asynchronously collect information for session
        * add basic idle monitoring of text sessions
        * add backend tools / framework
        * add uuid to cookie
        * rename list session tool
        * add docbook documentation
        * add spec framework
        * fix some leaks

=============
Version 0.1.2
=============

        * don't use NULL parameters
        * add system-idle-hint and system-idle-since-hint
        * add session idle-hint and idle-since-hint
        * add session creation time
        * don't spew errors when can't get a console fd
        * improve thread safety in vt monitor
        * split output of list-sessions onto separate lines
        * create/delete pid file (caglar)

=============
Version 0.1.1
=============

        * use the supplied vt number when updating active session
        * add support for reconnecting the the system bus
        * start before HAL (David)
        * don't keep last session active when switching without one (David)
        * make threads use small stack size rather than the default (Matthias)
        * change a console-kit to ConsoleKit in a few places
        * add more debugging output

=============
Version 0.1.0
=============

  ConsoleKit

        * First public release
